import React from 'react';
import PushSubscriptionDialog, {PushSubscriptionDialogProps} from './PushSubscriptionDialog';

export default {
    title: 'PushSubscriptionDialog',
    component: PushSubscriptionDialog,
}

const Template = (props: PushSubscriptionDialogProps) => <PushSubscriptionDialog {...props} />;

export const Default = Template.bind({});
(Default as any).args = {
    open: true,
    title: 'Popusti i novosti na AutoKreso.hr!',
    content: 'Želite li povremeno primati novosti i akcije sa webshopa AutoKreso.hr?',
} as PushSubscriptionDialogProps;

export const SaSlikom = Template.bind({});
(SaSlikom as any).args = {
    ...(Default as any).args,
    image: '//autokreso.localhost/assets/img/ak-logo.jpg',
} as PushSubscriptionDialogProps;
